package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校图册对象 tb_school_atlas
 * 
 * @author ruoyi
 * @date 2022-10-08
 */
public class TbSchoolAtlas extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    @Excel(name="学校名称")
    private String schoolName;

    /** 图册名称 */
    @Excel(name = "图册名称")
    private String atlasName;

    private String atlasCover;

    /** 图册内容 */
    @Excel(name = "图册内容")
    private String atlasContent;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setAtlasName(String atlasName) 
    {
        this.atlasName = atlasName;
    }

    public String getAtlasName() 
    {
        return atlasName;
    }
    public void setAtlasContent(String atlasContent) 
    {
        this.atlasContent = atlasContent;
    }

    public String getAtlasContent() 
    {
        return atlasContent;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getAtlasCover() {
        return atlasCover;
    }

    public void setAtlasCover(String atlasCover) {
        this.atlasCover = atlasCover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("atlasName", getAtlasName())
            .append("atlasContent", getAtlasContent())
            .toString();
    }
}
